<?php
// show any kind or errors
error_reporting(E_ALL);
ini_set('display_errors', 1);

// hidden values used for 'infinite scroll' feature
echo "<div class='dsm-facebook-timeline-page-id display-none'>{$dsm_facebook_timeline->fb_page_id}</div>";
echo "<div class='dsm-facebook-timeline-next-page display-none'>{$dsm_facebook_timeline->next_page}</div>";

for($x=0; $x<$dsm_facebook_timeline->feed_item_count; $x++){

	echo "<div class='item_box'>";

		// to get the post id
		$id = isset($obj['data'][$x]['id']) ? $obj['data'][$x]['id'] : "";
		
		$post_id_arr = explode('_', $id);
		$post_id = $post_id_arr[1];

		// user's custom message
		$message=isset($obj['data'][$x]['message']) ? $obj['data'][$x]['message'] : "";
		$message=$dsm_facebook_timeline->util->getNewStringWithMentions($message);
		$message=htmlspecialchars_decode(str_replace("\n", "<br>", $message));

		// picture from the link
		$picture = isset($obj['data'][$x]['picture']) ? $obj['data'][$x]['picture'] : "";

		// link posted
		$link = $link="https://www.facebook.com/{$dsm_facebook_timeline->fb_page_id}/posts/{$post_id}";

		// name or title of the link posted
		$name = isset($obj['data'][$x]['name']) ? $obj['data'][$x]['name'] : "";

		$description = isset($obj['data'][$x]['description']) ? $obj['data'][$x]['description'] : "";
		$type = isset($obj['data'][$x]['type']) ? $obj['data'][$x]['type'] : "";

		// story, used for example, page shared an event "[story] => OutCentral created an event."
		$story = isset($obj['data'][$x]['story']) ? $obj['data'][$x]['story'] : "";

		// when it was posted
		$created_time = isset($obj['data'][$x]['created_time']) ? $obj['data'][$x]['created_time'] : "";
		$converted_date_time = date( 'Y-m-d H:i:s', strtotime($created_time));
		$ago_value = time_elapsed_string($converted_date_time);

		// from
		$page_name = isset($obj['data'][$x]['from']['name']) ? $obj['data'][$x]['from']['name'] : "";

		// useful for photo
		$object_id = isset($obj['data'][$x]['object_id']) ? $obj['data'][$x]['object_id'] : "";

		echo "<div class='row'>";

			// left side
			echo "<div class='col-md-4'>";
				echo "<div class='profile-info'>";

					echo "<div class='profile-photo'>";
						echo "<img src='" . $dsm_facebook_timeline->profile_photo_src . "' />";
					echo "</div>"; // end 'profile-photo'

					echo "<div class='profile-name'>";
						echo "<div>";
							echo "<a href='https://fb.com/{$dsm_facebook_timeline->fb_page_id}' target='_blank'>{$page_name}</a> ";
							if(empty($story)){
								echo "shared a ";
								if($type=="status"){
									
								}
								echo "<a href='{$link}' target='_blank'>{$type}</a>";
							}
							
							else{
								if(strpos($story, "created an event") !== false) {
									echo "created an <a href='{$link}' target='_blank'>event</a>";
								}else{
									echo "shared a <a href='{$link}' target='_blank'>post</a>";
								}
							}
						echo "</div>";
						echo "<div class='time-ago'>{$ago_value}</div>";
					echo "</div>"; // end 'profile-name'

				echo "</div>"; // end 'profile-info'

				echo "<p class='profile-message'>";
					echo "{$message}";
				echo "</p>";
			echo "</div>"; // end left side 'col-md-4'

			// right side
			echo "<div class='col-md-8'>";

				echo "<a href='{$link}' target='_blank' class='post-link'>";

					echo "<div class='post-content'>";

						if($type=="status"){
							echo "<div class='post-status'>";
								echo "View on Facebook";
							echo "</div>";
						}

						// created an event, etc.
						else if($type=="link" && !empty($story)){
							echo "<div class='post-status'>";
								echo "View on Facebook";
							echo "</div>";
						}

						else if($type=="photo"){
							echo "<img src='https://graph.facebook.com/{$object_id}/picture' />";
						}

						else{
							if($picture){
								echo "<div class='post-picture'>";
									echo "<img src='{$picture}' />";
								echo "</div>";
							}

							echo "<div class='post-info'>";
								echo "<div class='post-info-name'>{$name}</div>";
								echo "<div class='post-info-description'>{$description}</div>";
							echo "</div>";
						}

					echo "</div>"; // end 'post-content'
				echo "</a>"; // end 'post-link'




				// likes count
				$likes_count=isset($obj['data'][$x]['likes']['summary']['total_count'])
					? $dsm_facebook_timeline->util->formatCount($obj['data'][$x]['likes']['summary']['total_count'])
					: 0;

				// comments count
				$comments_count=isset($obj['data'][$x]['comments']['summary']['total_count'])
					? $dsm_facebook_timeline->util->formatCount($obj['data'][$x]['comments']['summary']['total_count'])
					: 0;

				echo "<div class='like-count-sum post-content' pid='{$id}' style='padding:.3em; margin:1em 0; cursor:pointer;'>";

					echo "<div style='float:left; margin:0 .6em 0 0;'>";
						echo "<i class='fa fa-thumbs-o-up'></i> {$likes_count}";
					echo "</div>";

					echo "<div style='float:left;'>";
						echo "<i class='fa fa-comments-o'></i> {$comments_count}";
					echo "</div>";

				echo "</div>"; // end 'like-count-sum'

				echo "<div class='like-count-data' style='display:none;'></div>";

			echo "</div>"; // end right side 'col-md-8'

		echo "</div>"; // end 'row'

		echo "<hr />";
	echo "</div>"; // end 'item_box'

}

// to get 'time ago' text
function time_elapsed_string($datetime, $full = false) {

	$now = new DateTime;
	$ago = new DateTime($datetime);
	$diff = $now->diff($ago);

	$diff->w = floor($diff->d / 7);
	$diff->d -= $diff->w * 7;

	$string = array(
		'y' => 'year',
		'm' => 'month',
		'w' => 'week',
		'd' => 'day',
		'h' => 'hour',
		'i' => 'minute',
		's' => 'second',
	);
	foreach ($string as $k => &$v) {
		if ($diff->$k) {
			$v = $diff->$k . ' ' . $v . ($diff->$k > 1 ? 's' : '');
		} else {
			unset($string[$k]);
		}
	}

	if (!$full) $string = array_slice($string, 0, 1);
	return $string ? implode(', ', $string) . ' ago' : 'just now';
}

?>
